<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686) [Netscape]">
</head>
<body>

<center>
<h1>The createRDS verify Test</h1></center>

<h2>Test objectives</h2>
<ul>
    <li>Verify that createRDS command works for level 1 and level frame data</li>
</ul>

<H2>APIs affected by this test</H2>
		<UL>
		<LI><font color='brown'>managerAPI</font>: 
            <ul>
            <li>directs processing of the user commands to other APIs
			and returns the user command status to the user.</LI>
            </ul>
		<LI><font color='brown'>diskcacheAPI</font>: 
			<UL>
			<LI>Retrieves the frame file names required by the frame query in ldas command.</li>
			</UL>
		<LI><font color='brown'>frameAPI</font>: 
			<UL>
			<LI>Reads complex data from ADC data of channels</LI>
			</UL>
        <li><font color='brown'>datacondAPI</font>:
            <ul>
            <li>outs the frame comparison result ilwd  command</li>
            </ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
		</UL>
<h2>Setup</h2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Create a test directory on gateway machine e.g. /ldas_usr/ldas/test/rdsverify . </li><p>
        <li>Copy the following test scripts from the build source directory ldas/api/test/System to
        test directory created:<pre><font color='brown'>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/RDSVerify.tcl?rev=HEAD;content-type=text%2Fplain'>RDSVerify.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qatest.tcl?rev=HEAD;content-type=text%2Fplain'>qatest.tcl</a></font>  
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qalib.tcl?rev=HEAD;content-type=text%2Fplain'>qalib.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qaS3.tcl?rev=HEAD;content-type=text%2Fplain'>qaS3.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qailwd.tcl?rev=HEAD;content-type=text%2Fplain'>qailwd.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/qaE11pre1.tcl?rev=HEAD;content-type=text%2Fplain'>qaE11pre1.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/runrds.tcl?rev=HEAD;content-type=text%2Fplain'>runrds.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/rdsclean.tcl?rev=HEAD;content-type=text%2Fplain'>rdsclean.tcl</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/adcdecimate_L-RDS_R_L3-S3.txt?rev=HEAD;content-type=text%2Fplain'>adcdecimate_L-RDS_R_L3-S3.txt</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/adcdecimate_H-RDS_R_L1-S3.txt?rev=HEAD;content-type=text%2Fplain'>adcdecimate_H-RDS_R_L1-S3.txt</a></font>  
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/adcdecimate_H-RDS_R_L2-S3.txt?rev=HEAD;content-type=text%2Fplain'>adcdecimate_H-RDS_R_L2-S3.txt</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/adcdecimate_H-RDS_R_L3-S3.txt?rev=HEAD;content-type=text%2Fplain'>adcdecimate_H-RDS_R_L3-S3.txt</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/adcdecimate_L-RDS_R_L1-S3.txt?rev=HEAD;content-type=text%2Fplain'>adcdecimate_L-RDS_R_L1-S3.txt</a></font>
        <font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/adcdecimate_L-RDS_R_L2-S3.txt?rev=HEAD;content-type=text%2Fplain'>adcdecimate_L-RDS_R_L2-S3.txt</a></font>
        </font></pre>        
        </li><p>
        </ul>

<h2>Test Execution</h2>
    <ul>
        <li>Establish the ldas manager environment variable for ligotools:
        <pre><font color='brown'>setenv LDASMANAGER dev </font></pre>
        <li>Turn on verbose mode if more information is desired other than passed or failed.
        <pre><font color='brown'>setenv TEST_VERBOSE_MODE true </font></pre></li>
        <p>The directory on dev containing the output RDS frames, e.g. <i>/scratch/frames/RDSVerify</i> will be cleared
        out by the script before each round of execution.
        
		<li>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>RDSVerify.tcl [options] >& RDSVerify.log & </CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-v or --verify&gt;</CODE>
                <TD>set to 1 to verify result frames or 0 to skip verification via conditionData
            <TR>
                <TD valign=top><CODE>&lt;-t or --test&gt;</CODE>
                <TD>specify list of tests to run instead of the default: TestOneToOne TestMultiFrame 
                TestConcatFrame TestMultiConcatFrame TestOneToOneS3_L TestMultiFrameS3_L TestConcatFrameS3_L
                TestMultiConcatFrameS3_L TestMultiFrameE11 TestConcatFrameE11 TestMultiConcatFrameE11 
            <TR>
                <TD valign=top><CODE>&lt;-st or --starttime&gt;</CODE>
                <TD>specify start time of frame query instead of using default data set start time.
            <TR>
                <TD valign=top><CODE>&lt;-e or --endtime&gt;</CODE>
                <TD>specify end time of frame query instead of using default data set end time.    
            <TR>
                <TD valign=top><CODE>&lt;-d or --dump&gt;</CODE>
                <TD>dump the RDS ldas command to file in specified directory
            <TR>
                <TD valign=top><CODE>&lt;-j or --job_frame_time&gt;</CODE>
                <TD>number of secs of frame data per job; default is 64 secs.
            <TR>
                <TD valign=top><CODE>&lt;-l or --looping&gt;</CODE>
                <TD>specify 1 for continuous loop mode or 0 for one time execution
            <TR>
                <TD valign=top><CODE>&lt;-d or --dump&gt;</CODE>
                <TD>dump the createRDS command to be submitted to file in the specified directory.            
            <TR>
                <TD valign=top><CODE>&lt;-t or --list of tests to run&gt;</CODE>
                <TD>list of tests to run instead of default to all tests.  
            <TR>
                <TD valign=top><CODE>&lt;-delay &gt;</CODE>
                <TD>secs to delay submitting the level 2 createRDS after level 1 has been submitted.
             <TR>
                <TD valign=top><CODE>&lt;-outputdir &gt;</CODE>
                <TD>specify the output directory for frames.                   
                
        </TABLE></li>
        </ul>
        <p>Example: the following will run only tests TestOneToOne and TestMultiFrame with verification
        via conditionData and output the frames to directory /usr1/lcldsk/frames/RDSVerify.
        <pre><font color='brown'>
            RDSVerify.tcl -t {TestOneToOne TestMultiFrame} -outputdir /usr1/lcldsk/frames/RDSVerify >& RDSVerify.log &
            </font></pre>
        Example: the following will run all tests without verification, and delay 10 secs before submitting level 2
        jobs; it will run in a continous loop and output the frames to directory /usr1/lcldsk/frames/RDSVerify; 
        the output directory will be cleared out after each round of testing. 
        <pre><font color='brown'>
            RDSVerify.tcl -v 0 -l -delay 10 -outputdir /usr1/lcldsk/frames/RDSVerify >& RDSVerify.log &
            </font></pre>

<H2>Test Validation:</H2>
        <ul>
        <li>Verify all jobs completed ok for ldas. </li>
        <li>The RDSVerify output log indicates whether a test passed or failed if verification is
        enabled:<pre><font color='brown'>        
        -- PASS: MultiConcatFrame(E11pre1): Creation of Level 1: 
        -- PASS: MultiConcatFrame(E11pre1): Creation of Level 2: 
        -- PASS: MultiConcatFrame(E11pre1): Verification: 
        -- INFO: MultiConcatFrame(E11pre1): Verification: ILwd File contents: <ilwd jobid='35921245' size='9'>
            <real_8 comment='Mean for channel 0' name='mean0'>-1.4901161193847656e-08</real_8>
            <real_8 comment='Mean for channel 0' name='rms0'>6.6072494795565689e-06</real_8>
            <real_8 comment='Error for channel 0' name='err0'>9.7656250000000000e-04</real_8>
            <real_8 comment='Mean for channel 1' name='mean1'>0.0000000000000000e+00</real_8>
            <real_8 comment='Mean for channel 1' name='rms1'>0.0000000000000000e+00</real_8>
            <real_8 comment='Error for channel 1' name='err1'>0.0000000000000000e+00</real_8>
            <real_8 comment='Mean for channel 2' name='mean2'>0.0000000000000000e+00</real_8>
            <real_8 comment='Mean for channel 2' name='rms2'>0.0000000000000000e+00</real_8>
            <real_8 comment='Error for channel 2' name='err2'>0.0000000000000000e+00</real_8>
        </ilwd>
        -- INFO: MultiConcatFrame(E11pre1): Verification: Mean Verification: passed
        -- INFO: MultiConcatFrame(E11pre1): Verification: Mean Verification: passed
        -- INFO: MultiConcatFrame(E11pre1): Verification: Mean Verification: passed
        TestMultiConcatFrameE11 1 current status 1
        -- PASS: PASSED
        </font></pre></li><p>
         </li>
         </ul>
<br>&nbsp;
</body>
</html>
